Get Status Standard Rollouts
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/standard-rollouts/{rolloutId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/standard-rollouts/{rolloutId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/standard-rollouts/{rolloutId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourceKind": "catalog",
"status": "queued",
"rolloutId": "<string>",
"requestKey": "<string>",
"progress": {
"totalPairs": 123,
"processedPairs": 123,
"added": 123,
"alreadyPresent": 123,
"previouslyRemoved": 123,
"failed": 123
},
"sources": [
{
"id": "<string>",
"name": "<string>"
}
],
"targets": [
{
"id": "<string>",
"name": "<string>"
}
],
"outcomes": [
{
"projectId": "<string>",
"sourceId": "<string>",
"outcome": "added",
"projectItemId": "<string>",
"slotId": "<string>",
"failureCode": "<string>"
}
],
"failureCode": "<string>",
"createdAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>"
}Standard Rollouts
Get Status Standard Rollouts
GET
/
v1
/
workspaces
/
{workspaceId}
/
standard-rollouts
/
{rolloutId}
Get Status Standard Rollouts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Available options:
catalog, fabrication_template Available options:
queued, running, completed, partial, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I